GIT f5f287738bddf38ec9ca79344f00dab675e1bbf5 master.kernel.org:/pub/scm/linux/kernel/git/shaggy/jfs-2.6.git#for-mm

---
Index: fs/jfs/jfs_unicode.c
===================================================================
--- a429e601d7e8f4d6f477c029f24772f55bbe45d7/fs/jfs/jfs_unicode.c  (mode:100644)
+++ c8144a3906f6904f7cf18c4520976c79a1e15b0a/fs/jfs/jfs_unicode.c  (mode:100644)
@@ -51,8 +51,9 @@
 		}
 	} else {
 		for (i = 0; (i < len) && from[i]; i++) {
-			if (le16_to_cpu(from[i]) & 0xff00) {
-				if (warn) {
+			if (unlikely(le16_to_cpu(from[i]) & 0xff00)) {
+				to[i] = '?';
+				if (unlikely(warn)) {
 					warn--;
 					warn_again--;
 					printk(KERN_ERR
@@ -61,7 +62,7 @@
 					printk(KERN_ERR
 				"mount with iocharset=utf8 to access\n");
 				}
-				to[i] = '?';
+
 			}
 			else
 				to[i] = (char) (le16_to_cpu(from[i]));
